<?php
defined('PROTECTOR') OR die('Нет доступа');
session_start();
$db_host = "localhost";
$db_user = "idmao128_vturage";
$db_table = "idmao128_vturage";
$db_pass = "game777g";
$connect = mysql_pconnect($db_host, $db_user, $db_pass) OR die('Идет обновление игры, обновите страничку позже! Игра будет доступна завтра после 18.00 по МСК');
mysql_select_db($db_table) OR die('Идет обновление игры, обновите страничку позже! Игра будет доступна завтра после 18.00 по МСК');
mysql_query("SET NAMES 'utf8'", $connect);
include('sql.php');
$stop_injection = new InitVars();
$stop_injection->checkVars();
include('AntiHack.class.php');
$lq = new AntiHack;
if (isset($_GET))$_GET = $lq->filter($_GET, 'get');
if (isset($_POST))$_POST = $lq->filter($_POST, 'post');if (isset($_FILES))$_FILES = $lq->filter($_FILES, 'files');if (isset($_COOKIE))$_COOKIE = $lq->filter($_COOKIE, 'cookie');
if (isset($_SERVER))$_SERVER = $lq->filter($_SERVER, 'server');
if (isset($_REQUEST))$_REQUEST = $lq->filter($_REQUEST, 'request');
unset($lq);
if (isset($_GET['_1118538408(0)']))die('Этот способ взлома больше не работает. (с) Администратор');
foreach($_GET as $ad){
  if(is_numeric($ad)){
$ad = abs(intval($ad));
}
 if(preg_match('/\include|asc|--|select|union|update|from|where|eval|glob|include|require|script|shell|BENCHMARK|CONCAT|INSERT\b/i', $ad)){

$source = 'USER: '.$_SERVER['REMOTE_ADDR'].' | FILE: '.htmlspecialchars($_SERVER["REQUEST_URI"]).'
';
$file = htmlspecialchars($_SERVER['DOCUMENT_ROOT']).'/files/log_guard.txt';
$Saved_File = fopen($file, 'a+');
fwrite($Saved_File, $source);
fclose($Saved_File);

header("Refresh: 2;url=/".SID);
 exit('Защита !');
 }

 $ad = htmlspecialchars(mysql_real_escape_string($ad));

 }
 foreach($_POST as $ad){
  if(is_numeric($ad)){
$ad = abs(intval($ad));
}else{
 $ad = htmlspecialchars(mysql_real_escape_string($ad));
 }
}
 foreach($_SESSION as $ad){
 $ad = htmlspecialchars(mysql_real_escape_string($ad));
 }
 foreach($_COOKIE as $ad){
 $ad = htmlspecialchars(mysql_real_escape_string($ad));
 }
 $id = isset($_GET['id'])?abs(intval($_GET['id'])):NULL;
?>